
  <div class="row">
    <div class="col-lg-12">
      <h1 class="page-header">Tablas Basicas</h1>
      <div class="row">
        <div class="col-lg-6">
          <div class="panel panel-default">
            <div class="panel-heading">
              Cargo
              <button type="button" class="btn btn-success btn-social btn-sm pull-right" data-toggle="modal" data-target="#tb0"><i class="fa fa-plus fa-lg"></i>
                Nuevo cargo
              </button>
            </div>
            <div class="panel-body">
              <table width="100%" class="table table-striped table-bordered table-hover">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Descripcion</th>
                    <th width="20%">Opciones</th>
                  </tr>
                </thead>
                <tbody>
                  <% @cargos.each do |cargo| %>
                  <% @t = cargo.trabajador.count %>
                    <tr>
                      <td><%= cargo.car_id %></td>
                      <td><%= cargo.car_desc %></td>
                      <td>
                        <%= link_to '<i class="fa fa-pencil fa-lg"></i>'.html_safe, edit_cargo_path(cargo), class: "btn btn-warning btn-circle" %>
                        <% if @t > 0 %>
                          <button class="btn btn-danger btn-circle" disabled="disabled" data-toggle="tooltip" data-placement="right" title="Cant. Trabajadores = <%= @t %>"><i class="fa fa-trash-o fa-lg"></i></button>
                        <% else %>
                          <%= link_to '<i class="fa fa-trash-o fa-lg"></i>'.html_safe, cargo, method: :delete, class: "btn btn-danger btn-circle", data: { confirm: 'Are you sure?' } %>
                        <% end %>
                      </td>
                    </tr>
                  <% end %>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="col-lg-6">
          <div class="panel panel-default">
            <div class="panel-heading">
              Tipo Sala
              <button type="button" class="btn btn-success btn-social btn-sm pull-right" data-toggle="modal" data-target="#tb1"><i class="fa fa-plus fa-lg"></i>
                Nuevo Tipo
              </button>
            </div>
            <div class="panel-body">
              <table width="100%" class="table table-striped table-bordered table-hover">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Descripcion</th>
                    <th width="20%">Opciones</th>
                  </tr>
                </thead>
                <tbody>
                  <% @tipo_salas.each do |tipo_sala| %>
                  <% @s = tipo_sala.sala.count %>
                    <tr>
                      <td><%= tipo_sala.ts_id %></td>
                      <td><%= tipo_sala.ts_desc %></td>
                      <td>
                        <%= link_to '<i class="fa fa-pencil fa-lg"></i>'.html_safe, edit_tipo_sala_path(tipo_sala), class: "btn btn-warning btn-circle" %>
                        <% if @s > 0 %>
                          <button class="btn btn-danger btn-circle" disabled="disabled" data-toggle="tooltip" data-placement="right" title="Cant. Salas = <%= @s %>"><i class="fa fa-trash-o fa-lg"></i></button>
                        <% else %>
                          <%= link_to '<i class="fa fa-trash-o fa-lg"></i>'.html_safe, tipo_sala, method: :delete, class: "btn btn-danger btn-circle", data: { confirm: 'Are you sure?' } %>
                        <% end %>
                      </td>
                    </tr>
                  <% end %>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-lg-6">
          <div class="panel panel-default">
            <div class="panel-heading">
              Tipo Ticket
              <button type="button" class="btn btn-success btn-social btn-sm pull-right" data-toggle="modal" data-target="#tb2"><i class="fa fa-plus fa-lg"></i>
                Nuevo Tipo
              </button>
            </div>
            <div class="panel-body">
              <table width="100%" class="table table-striped table-bordered table-hover">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Descripcion</th>
                    <th width="20%">Opciones</th>
                  </tr>
                </thead>
                <tbody>
                  <% @tipo_tickets.each do |tipo_ticket| %>
                  <% @tt = tipo_ticket.ticket.count %>
                    <tr>
                      <td><%= tipo_ticket.tt_id %></td>
                      <td><%= tipo_ticket.tt_desc %></td>
                      <td>
                        <%= link_to '<i class="fa fa-pencil fa-lg"></i>'.html_safe, edit_tipo_ticket_path(tipo_ticket), class: "btn btn-warning btn-circle" %>
                        <% if @tt > 0 %>
                          <button class="btn btn-danger btn-circle" disabled="disabled" data-toggle="tooltip" data-placement="right" title="Cant. Ticket = <%= @tt %>"><i class="fa fa-trash-o fa-lg"></i></button>
                        <% else %>
                          <%= link_to '<i class="fa fa-trash-o fa-lg"></i>'.html_safe, tipo_ticket, method: :delete, class: "btn btn-danger btn-circle", data: { confirm: 'Are you sure?' } %>
                        <% end %>
                      </td>
                    </tr>
                  <% end %>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="col-lg-6">
          <div class="panel panel-default">
            <div class="panel-heading">
              Estado Funcion
              <button type="button" class="btn btn-success btn-social btn-sm pull-right" data-toggle="modal" data-target="#tb3"><i class="fa fa-plus fa-lg"></i>
                Nuevo Estado
              </button>
            </div>
            <div class="panel-body">
              <table width="100%" class="table table-striped table-bordered table-hover">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Descripcion</th>
                    <th width="20%">Opciones</th>
                  </tr>
                </thead>
                <tbody>
                  <% @est_funs.each do |est_fun| %>
                  <% @ef = est_fun.funcion.count %>
                    <tr>
                      <td><%= est_fun.ef_id %></td>
                      <td><%= est_fun.ef_desc %></td>
                      <td>
                        <%= link_to '<i class="fa fa-pencil fa-lg"></i>'.html_safe, edit_est_fun_path(est_fun), class: "btn btn-warning btn-circle" %>
                        <% if @ef > 0 %>
                          <button class="btn btn-danger btn-circle" disabled="disabled" data-toggle="tooltip" data-placement="right" title="Cant. Funciones = <%= @ef %>"><i class="fa fa-trash-o fa-lg"></i></button>
                        <% else %>
                          <%= link_to '<i class="fa fa-trash-o fa-lg"></i>'.html_safe, est_fun, method: :delete, class: "btn btn-danger btn-circle", data: { confirm: 'Are you sure?' } %>
                        <% end %>
                      </td>
                    </tr>
                  <% end %>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-lg-6">
          <div class="panel panel-default">
            <div class="panel-heading">
              Estado Ticket
              <button type="button" class="btn btn-success btn-social btn-sm pull-right" data-toggle="modal" data-target="#tb4"><i class="fa fa-plus fa-lg"></i>
                Nuevo Estado
              </button>
            </div>
            <div class="panel-body">
              <table width="100%" class="table table-striped table-bordered table-hover">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Descripcion</th>
                    <th width="20%">Opciones</th>
                  </tr>
                </thead>
                <tbody>
                  <% @est_ticks.each do |est_tick| %>
                  <% @et = est_tick.ticket.count %>
                    <tr>
                      <td><%= est_tick.et_id %></td>
                      <td><%= est_tick.et_desc %></td>
                      <td>
                        <%= link_to '<i class="fa fa-pencil fa-lg"></i>'.html_safe, edit_est_tick_path(est_tick), class: "btn btn-warning btn-circle" %>
                        <% if @et > 0 %>
                          <button class="btn btn-danger btn-circle" disabled="disabled" data-toggle="tooltip" data-placement="right" title="Cant. Trabajadores = <%= @et %>"><i class="fa fa-trash-o fa-lg"></i></button>
                        <% else %>
                          <%= link_to '<i class="fa fa-trash-o fa-lg"></i>'.html_safe, est_tick, method: :delete, class: "btn btn-danger btn-circle", data: { confirm: 'Are you sure?' } %>
                        <% end %>
                      </td>
                    </tr>
                  <% end %>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="col-lg-6">
          <div class="panel panel-default">
            <div class="panel-heading">
              Horario
              <button type="button" class="btn btn-success btn-social btn-sm pull-right" data-toggle="modal" data-target="#tb5"><i class="fa fa-plus fa-lg"></i>
                Nuevo Horario
              </button>
            </div>
            <div class="panel-body">
              <table width="100%" class="table table-striped table-bordered table-hover">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Descripcion</th>
                    <th width="20%">Opciones</th>
                  </tr>
                </thead>
                <tbody>
                  <% @horarios.each do |horario| %>
                  <% @h = horario.funcion.count %>
                    <tr>
                      <td><%= horario.hor_id %></td>
                      <td><%= horario.hor_desc %></td>
                      <td>
                        <%= link_to '<i class="fa fa-pencil fa-lg"></i>'.html_safe, edit_horario_path(horario), class: "btn btn-warning btn-circle" %>
                        <% if @h > 0 %>
                          <button class="btn btn-danger btn-circle" disabled="disabled" data-toggle="tooltip" data-placement="right" title="Cant. Funciones = <%= @h %>"><i class="fa fa-trash-o fa-lg"></i></button>
                        <% else %>
                          <%= link_to '<i class="fa fa-trash-o fa-lg"></i>'.html_safe, horario, method: :delete, class: "btn btn-danger btn-circle", data: { confirm: 'Are you sure?' } %>
                        <% end %>
                      </td>
                    </tr>
                  <% end %>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-lg-6">
          <div class="panel panel-default">
            <div class="panel-heading">
              Edad
              <button type="button" class="btn btn-success btn-social btn-sm pull-right" data-toggle="modal" data-target="#tb6"><i class="fa fa-plus fa-lg"></i>
                Nueva Edad
              </button>
            </div>
            <div class="panel-body">
              <table width="100%" class="table table-striped table-bordered table-hover">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Descripcion</th>
                    <th width="20%">Opciones</th>
                  </tr>
                </thead>
                <tbody>
                  <% @edads.each do |edad| %>
                  <% @e = edad.pelicula.count %>
                    <tr>
                      <td><%= edad.ed_id %></td>
                      <td><%= edad.ed_desc %></td>
                      <td>
                        <%= link_to '<i class="fa fa-pencil fa-lg"></i>'.html_safe, edit_edad_path(edad), class: "btn btn-warning btn-circle" %>
                        <% if @e > 0 %>
                          <button class="btn btn-danger btn-circle" disabled="disabled" data-toggle="tooltip" data-placement="right" title="Cant. Peliculas = <%= @e %>"><i class="fa fa-trash-o fa-lg"></i></button>
                        <% else %>
                          <%= link_to '<i class="fa fa-trash-o fa-lg"></i>'.html_safe, edad, method: :delete, class: "btn btn-danger btn-circle", data: { confirm: 'Are you sure?' } %>
                        <% end %>
                      </td>
                    </tr>
                  <% end %>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-lg-6">
          <div class="panel panel-default">
            <div class="panel-heading">
              Genero
              <button type="button" class="btn btn-success btn-social btn-sm pull-right" data-toggle="modal" data-target="#tb7"><i class="fa fa-plus fa-lg"></i>
                Nuevo Genero
              </button>
            </div>
            <div class="panel-body">
              <table width="100%" class="table table-striped table-bordered table-hover">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Descripcion</th>
                    <th width="25%">Opciones</th>
                  </tr>
                </thead>
                <tbody>
                  <% @generos.each do |genero| %>
                  <% @g = genero.pelicula.count %>
                    <tr>
                      <td><%= genero.gen_id %></td>
                      <td><%= genero.gen_desc.first(30)+"..." %></td>
                      <td>
                        <%= link_to '<i class="fa fa-eye fa-lg"></i>'.html_safe, genero, class: "btn btn-success btn-circle" %>
                        <%= link_to '<i class="fa fa-pencil fa-lg"></i>'.html_safe, edit_genero_path(genero), class: "btn btn-warning btn-circle" %>
                        <% if @g > 0 %>
                          <button class="btn btn-danger btn-circle" disabled="disabled" data-toggle="tooltip" data-placement="right" title="Cant. Peliculas = <%= @g %>"><i class="fa fa-trash-o fa-lg"></i></button>
                        <% else %>
                          <%= link_to '<i class="fa fa-trash-o fa-lg"></i>'.html_safe, genero, method: :delete, class: "btn btn-danger btn-circle", data: { confirm: 'Are you sure?' } %>
                        <% end %>
                      </td>
                    </tr>
                  <% end %>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="col-lg-6">
          <div class="panel panel-default">
            <div class="panel-heading">
              Pais Origen
              <button type="button" class="btn btn-success btn-social btn-sm pull-right" data-toggle="modal" data-target="#tb8"><i class="fa fa-plus fa-lg"></i>
                Nuevo Pais Origen
              </button>
            </div>
            <div class="panel-body">
              <table width="100%" class="table table-striped table-bordered table-hover">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Descripcion</th>
                    <th width="20%">Opciones</th>
                  </tr>
                </thead>
                <tbody>
                  <% @pais_origens.each do |pais_origen| %>
                  <% @po = pais_origen.pelicula.count %>
                    <tr>
                      <td><%= pais_origen.po_id %></td>
                      <td><%= pais_origen.po_nom %></td>
                      <td>
                        <%= link_to '<i class="fa fa-pencil fa-lg"></i>'.html_safe, edit_pais_origen_path(pais_origen), class: "btn btn-warning btn-circle" %>
                        <% if @po > 0 %>
                          <button class="btn btn-danger btn-circle" disabled="disabled" data-toggle="tooltip" data-placement="right" title="Cant. Peliculas = <%= @po %>"><i class="fa fa-trash-o fa-lg"></i></button>
                        <% else %>
                          <%= link_to '<i class="fa fa-trash-o fa-lg"></i>'.html_safe, pais_origen, method: :delete, class: "btn btn-danger btn-circle", data: { confirm: 'Are you sure?' } %>
                        <% end %>
                      </td>
                    </tr>
                  <% end %>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>


      <% @tablas.count.times do |t|%>
      <div class="modal fade" id="tb<%= t %>" tabindex="-1" role="dialog" aria-labelledby="tb<%= t %>Label">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
              <h4 class="modal-title" id="tb<%= t %>Label"><%= @tablas[t] %></h4>
            </div>
            <div class="modal-body">
              <% case t
                 when 0 %> <%= render 'cargos/form', cargo: @cargo %>
                <% when 1 %> <%= render 'tipo_salas/form', tipo_sala: @tipo_sala %>
                <% when 2 %> <%= render 'tipo_tickets/form', tipo_ticket: @tipo_ticket %>
                <% when 3 %> <%= render 'est_funs/form', est_fun: @est_fun %>
                <% when 4 %> <%= render 'est_ticks/form', est_tick: @est_tick %>
                <% when 5 %> <%= render 'horarios/form', horario: @horario %>
                <% when 6 %> <%= render 'edads/form', edad: @edad %>
                <% when 7 %> <%= render 'generos/form', genero: @genero %>
                <% when 8 %> <%= render 'pais_origens/form', pais_origen: @pais_origen %>

              <% end %>
            </div>
          </div>
        </div>
      </div>
      <% end %>
    </div>
  </div>
</div>

<script>
  $('#tb0').on('shown.bs.modal', function () {
    $('#myInput').focus();
  });
  $('#tb1').on('shown.bs.modal', function () {
    $('#myInput').focus();
  });
  $('#tb2').on('shown.bs.modal', function () {
    $('#myInput').focus();
  });
  $('#tb3').on('shown.bs.modal', function () {
    $('#myInput').focus();
  });
  $('#tb4').on('shown.bs.modal', function () {
    $('#myInput').focus();
  });
  $('#tb5').on('shown.bs.modal', function () {
    $('#myInput').focus();
  });
  $('#tb6').on('shown.bs.modal', function () {
    $('#myInput').focus();
  });
  $('#tb7').on('shown.bs.modal', function () {
    $('#myInput').focus();
  });
  $('#tb8').on('shown.bs.modal', function () {
    $('#myInput').focus();
  });
</script>
